org.modeshape.jcr

## Class RepositoryConfiguration.Federation

- java.lang.Object
- - org.modeshape.jcr.RepositoryConfiguration.Federation

- Enclosing class:
    RepositoryConfiguration

      @Immutable
      public class RepositoryConfiguration.Federation
      extends Object

  The federation-related configuration information.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RepositoryConfiguration.Federation(Document federation)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<RepositoryConfiguration.Component>` | `getConnectors(Problems problems)` Get the list of connector configurations.
    `Map<String,List<RepositoryConfiguration.ProjectionConfiguration>>` | `getProjectionsByWorkspace()` Returns the [workspaceName, list(projections)] of projections configured for each workspace.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfiguration.Federation

          protected RepositoryConfiguration.Federation(Document federation)

  - ### Method Detail

    - #### getConnectors

          public List<RepositoryConfiguration.Component> getConnectors(Problems problems)

      Get the list of connector configurations.
      Parameters:
        `problems` - the container with which should be recorded any problems during component initialization
      Returns:
        the immutable list of connectors; never null but possibly empty

    - #### getProjectionsByWorkspace

          public Map<String,List<RepositoryConfiguration.ProjectionConfiguration>> getProjectionsByWorkspace()

      Returns the [workspaceName, list(projections)] of projections configured for each workspace.
      Returns:
        a `Map` instance, never null.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.